import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSString } from "../Foundation/NSString.js";
import type { _NSURL } from "../Foundation/NSURL.js";
export declare class _EKVirtualConferenceURLDescriptor extends _NSObject {
    static alloc(): _EKVirtualConferenceURLDescriptor;
    static new(): _EKVirtualConferenceURLDescriptor;
    init(): _EKVirtualConferenceURLDescriptor;
    /**
     * @method initWithTitle:URL: @abstract Initializes an instance of EKVirtualConferenceURLDescriptor. @param title A user-readable title describing this URL. This string may be displayed in the UI. This string is optional and may be left nil. If your virtual conference only has one way to join it, then you can probably leave this nil. However, if your virtual conference has multiple ways to join it, you should have a title for each URL so that users can better understand what each URL represents. @param URL A URL that, when opened, will join the virtual conference.
     */
    initWithTitle$URL$(title: _NSString | null, URL: _NSURL): _EKVirtualConferenceURLDescriptor;
    title(): _NSString | null;
    URL(): _NSURL;
}
